Bug 26202 - Remove the use of jquery.checkboxes plugin from batch record modification page
Summary: Remove the use of jquery.checkboxes plugin from batch record modification page
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 26006
  Show dependency treegraph
 
Reported: 2020-08-13 13:16 UTC by Owen Leonard
Modified: 2020-09-10 03:42 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.04


Attachments
Bug 26202: Remove the use of jquery.checkboxes plugin from batch record modification page (2.32 KB, patch)
2020-08-13 13:26 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26202: Remove the use of jquery.checkboxes plugin from batch record modification page (2.37 KB, patch)
2020-08-17 15:50 UTC, Amit Gupta
Details | Diff | Splinter Review
Bug 26202: Remove the use of jquery.checkboxes plugin from batch record modification page (2.44 KB, patch)
2020-08-17 22:03 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2020-08-13 13:16:35 UTC
As described in Bug 26006 the jquery.checkboxes plugin is old and unmaintained. 

Its use should be replaced on the batch record modification page
Comment 1 Owen Leonard 2020-08-13 13:26:55 UTC Comment hidden (obsolete)
Comment 2 Amit Gupta 2020-08-17 15:50:41 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2020-08-17 22:03:45 UTC
Created attachment 108423 [details] [review]
Bug 26202: Remove the use of jquery.checkboxes plugin from batch record modification page

This patch removes the use of the jquery.checkboxes plugin from the
batch record modification page.

To test, apply the patch and go to Tools -> Batch record modification

 - Submit a batch of biblionumbers for modification.
 - On the results page, test the "Select all" and "Clear all" links to
   confirm that they work correctly.

Signed-off-by: Amit Gupta <amit.gupta@informaticsglobal.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2020-08-18 15:48:00 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 5 Lucas Gass 2020-09-04 15:15:57 UTC
backported to 20.05.x for 20.05.04
Comment 6 Aleisha Amohia 2020-09-10 03:42:16 UTC
enhancement, not backported to 19.11.x